import pandas as pd
from .load_data import *

import pkg_resources
import pandas as pd

def Zingaretti_2012():
    """
    This function load an already formatted example to run the tutorial, using protein array data from Zingaretti et al 2012.
    Paper can be found at https://www.ncbi.nlm.nih.gov/pmc/articles/PMC3518104/

    Returns
    -------

    pandas.DataFrame
        A data frame containing the tutorial dataset

    """
    stream = pkg_resources.resource_stream(__name__, 'datasets/demo_data.csv')
    data = load_data(stream, sep="\t")
    
    return data
